# Pull Request Template

## Description

Please include a summary of the change and which issue it fixes. Please also include 
relevant motivation and context.

Fixes # (issue)

## Type of change

Please delete options that are not relevant.

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not 
  work as expected)
- [ ] This change requires a documentation update
- [ ] Documentation update

## How has this been tested?

Please describe the tests that you ran to verify your changes. Provide instructions 
so that the tests can be reproduced.

**Test Configuration**:

* OS:
* Python version:

## Checklist:

- [ ] My code follows the style guidelines of this project
- [ ] I have reviewed my code and checked for misspellings
- [ ] I have made corresponding changes to the documentation
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] I have run ``doit`` and all tasks have passed
